Delete a data source view
curl --request DELETE \
--url https://dust.tt/api/w/{wId}/spaces/{spaceId}/data_source_views/{dsvId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/w/{wId}/spaces/{spaceId}/data_source_views/{dsvId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/w/{wId}/spaces/{spaceId}/data_source_views/{dsvId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Private Spaces
Delete a data source view
Deletes a specific data source view.
DELETE
/
api
/
w
/
{wId}
/
spaces
/
{spaceId}
/
data_source_views
/
{dsvId}
Delete a data source view
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
ID of the space
ID of the data source view
Query Parameters
Force deletion even if the view is in use
Available options:
true Response
Successfully deleted data source view
⌘I